{% extends 'base.html' %}
 
{% block content %}
<h1>{{title}}</h1>
<form method="post">
    {% csrf_token %}
    <div class="form-error">{{ form.non_field_errors }}</div>
    {% for f in form %}
        {% if f.label == 'Пароль' or f.label == 'Повтор пароля' %}
            <div class="input-group  mb-3">
                <span class="input-group-text">{{ f.label }} </span>
                <input type="password" class="form-control form-control-lg" id="InputPassword1" name="{{ f.name }}" aria-label="Username"
                       placeholder="Пароль " aria-describedby="basic-addon1">
            </div>
        {% elif f.label == 'Email' %}
            <div class="input-group  mb-3">
                <span class="input-group-text">Email</span>
                <input type="email" class="form-control form-control-lg" id="InputEmail1" name="{{ f.name }}" aria-label="Email"
                       placeholder="Email " aria-describedby="basic-addon1">
            </div>
        {% elif f.label == 'Логин' %}
            <div class="input-group mb-3">
                <span class="input-group-text" id="basic-addon1">Логин</span>
                <input type="text" class="form-control form-control-lg" placeholder="Логин" aria-label="Username" aria-describedby="basic-addon1" name="{{ f.name}}">
            </div>
        {% elif f.label == 'Телефон' %}
            <div class="input-group mb-3">
                <span class="input-group-text" id="inputGroup-sizing-default">Телефон</span>
                <input type="text" class="form-control form-control-lg" placeholder="Телефон" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default" name="{{ f.name }}">
            </div>
        {% endif %}
    {% endfor %}
    {% if form.errors %}
        <div class="form-errors">
            {% for field in form %}
                {% for error in field.errors %}
                    <p>{{ error }}</p>
                {% endfor %}
            {% endfor %}
        </div>
    {% endif %}
    <div class="d-grid gap-2">
        <button class="button btn btn-primary" type="submit">Регистрация</button>
    </div>
</form>

{% endblock %}

